---
updatedAt: 2025-09-24T00:03:57.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# Get a single refund request

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/payment-refunds/:refundId": {
      "get": {
        "summary": "Get a single refund request",
        "description": "",
        "operationId": "get-single-refund-request",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The id of the refund request",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "Client-Id",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"ae5efa7a4a1740de8cecac2716698364\",\n    \"payment_account_transaction_id\": \"9f7052e8-96cd-45da-8e5c-08c82ef83164\",\n    \"amount\": 3.0,\n    \"currency\": \"EUR\",\n    \"status\": \"paid\",\n    \"client_reference\": \"refund_lcl\",\n    \"description\": \"Reimbursement Bridge\",\n    \"created_at\": \"2023-05-02T09:33:05.770452Z\",\n    \"updated_at\": \"2023-05-02T09:33:55.762161Z\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "ae5efa7a4a1740de8cecac2716698364"
                    },
                    "payment_account_transaction_id": {
                      "type": "string",
                      "example": "9f7052e8-96cd-45da-8e5c-08c82ef83164"
                    },
                    "amount": {
                      "type": "integer",
                      "example": 3,
                      "default": 0
                    },
                    "currency": {
                      "type": "string",
                      "example": "EUR"
                    },
                    "status": {
                      "type": "string",
                      "example": "paid"
                    },
                    "client_reference": {
                      "type": "string",
                      "example": "refund_lcl"
                    },
                    "description": {
                      "type": "string",
                      "example": "Reimbursement Bridge"
                    },
                    "created_at": {
                      "type": "string",
                      "example": "2023-05-02T09:33:05.770452Z"
                    },
                    "updated_at": {
                      "type": "string",
                      "example": "2023-05-02T09:33:55.762161Z"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errors\": [\n        {\n            \"code\": \"payment_refund.not_found\",\n            \"message\": \"The refund request :refundId does not exist\"\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "string",
                            "example": "payment_refund.not_found"
                          },
                          "message": {
                            "type": "string",
                            "example": "The refund request :refundId does not exist"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/payment-refunds/:refundId' \\\n\t-X GET \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n  -H 'Content-Type: application/json' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```